Get Medical Inquiries
curl --request GET \
--url https://api.example.com/api/v0/medical/inquiries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v0/medical/inquiries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v0/medical/inquiries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"status": "SUCCESS",
"creation_ts": "2020-01-01T00:00:00.000000Z",
"request": {
"type": "BENEFITS",
"desired_completion_date": "03-19-2024",
"patient_name": "Alex Martin",
"dob": "01-31-2020",
"member_id": "123456789",
"tax_id": "123456789",
"group_id": "123456",
"insurance_in_network": true,
"npi": "1234567890",
"billing_npi": "1234567890",
"rendering_npi": "1234567890",
"external_id": "<string>",
"practice_billing_address": "123 Main St, New York, NY 10001",
"diagnosis_codes": [
"F41.1",
"F42.23"
],
"claims_date_of_service": "01-31-2020",
"claim_number": "1234567890",
"additional_info": "The patient is on a Medicare plan and we need to know their secondary insurance benefits.",
"call_script_id": null,
"insurance": "United Healthcare",
"benefits_query": [
"PULMONARY_REHAB_COVERAGE"
],
"benefits_codes": [
"99395"
],
"benefits_form_name": "",
"is_specialist": true,
"place_of_service": "doctors office",
"billed_amount": 100,
"insurance_payor_id": "60054",
"insurance_phone_number": "<string>"
},
"summary": "Benefits retrieved successfully.",
"results": {
"call_details": [
{
"call_end_time": "2024-03-01T06:00:00.0000Z",
"representative_name": "Deborah M",
"reference_number": "2812129",
"call_recording_url": "https://www.google.com/voice_recording.wav",
"transcript": "..."
}
],
"plan_information": {
"is_active": true,
"plan_type": "PPO",
"effective_date": "10-01-2020",
"termination_date": "10-31-2021",
"is_calendar_year_plan": true,
"is_provider_in_network": true,
"is_primary_insurance": true
},
"maximums": {
"individual_deductible": "100",
"individual_deductible_used": "80",
"individual_out_of_pocket_maximum": "1000",
"individual_out_of_pocket_maximum_used": "800",
"family_deductible": "200",
"family_deductible_used": "100",
"family_out_of_pocket_maximum": "2000",
"family_out_of_pocket_maximum_used": "1000"
},
"procedure_classes": {
"PHYSICAL_THERAPY": {
"is_covered": true,
"is_prior_auth_required": true,
"prior_auth_info": "Call Benefits Office at 555-999-1234.",
"is_deductible_waived": true,
"copay_amount": "50.00",
"coinsurance_percentage": "30",
"frequency_limitations": "None"
},
"CHIROPRACTIC": {
"is_covered": false,
"more_info": ""
}
},
"procedure_codes": [
[
{
"procedure_code": "94625",
"procedure_name": "Pulmonary Rehabilitation Coverage"
},
{
"is_covered": true,
"is_prior_auth_required": true,
"prior_auth_info": "Call United Healthcare at 555-123-1234",
"is_deductible_waived": false,
"copay_amount": "20.00",
"coinsurance_percentage": "20",
"frequency_limitations": "Two visits per week",
"more_info": "Diagnosis of medium to severe COPD is required for coverage."
}
],
[
{
"procedure_code": "94626",
"procedure_name": "Pulmonary Rehabilitation Coverage"
},
{
"is_covered": false,
"more_info": ""
}
]
]
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Medical
Get Medical Inquiries
GET
/
api
/
v0
/
medical
/
inquiries
Get Medical Inquiries
Authorizations
OAuth2PasswordBearerHTTPBasic
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
unique generated (uuid4) id for the inquiry
status of the inquiry
Available options:
SCHEDULED, IN_PROGRESS, SUCCESS, UNSUCCESSFUL, CANCELLED, UNKNOWN Example:
"SUCCESS"
timestamp of when the inquiry was created
Example:
"2020-01-01T00:00:00.000000Z"
The request that was used to create the inquiry.
Show child attributes
Show child attributes
summary of the call results
Example:
"Benefits retrieved successfully."
The output from the call containing the benefits results..
Show child attributes
Show child attributes
⌘I